curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/connectorTask \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"targetLangs": [
"<string>"
],
"assignments": [
{
"assignedUsers": [
{
"id": 123
}
],
"providers": [
{
"type": "<string>",
"id": "<string>"
}
],
"targetLang": "<string>"
}
],
"callbackUrl": "<string>",
"due": "2023-11-07T05:31:56Z",
"path": "<string>",
"preTranslate": true,
"semanticMarkup": true,
"useProjectFileImportSettings": true,
"workflowSettings": [
{
"assignments": [
{
"assignedUsers": [
{
"id": 123
}
],
"providers": [
{
"type": "<string>",
"id": "<string>"
}
],
"targetLang": "<string>"
}
],
"due": "2023-11-07T05:31:56Z",
"id": "<string>"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/connectorTask"
payload = {
"targetLangs": ["<string>"],
"assignments": [
{
"assignedUsers": [{ "id": 123 }],
"providers": [
{
"type": "<string>",
"id": "<string>"
}
],
"targetLang": "<string>"
}
],
"callbackUrl": "<string>",
"due": "2023-11-07T05:31:56Z",
"path": "<string>",
"preTranslate": True,
"semanticMarkup": True,
"useProjectFileImportSettings": True,
"workflowSettings": [
{
"assignments": [
{
"assignedUsers": [{ "id": 123 }],
"providers": [
{
"type": "<string>",
"id": "<string>"
}
],
"targetLang": "<string>"
}
],
"due": "2023-11-07T05:31:56Z",
"id": "<string>"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetLangs: ['<string>'],
assignments: [
{
assignedUsers: [{id: 123}],
providers: [{type: '<string>', id: '<string>'}],
targetLang: '<string>'
}
],
callbackUrl: '<string>',
due: '2023-11-07T05:31:56Z',
path: '<string>',
preTranslate: true,
semanticMarkup: true,
useProjectFileImportSettings: true,
workflowSettings: [
{
assignments: [
{
assignedUsers: [{id: 123}],
providers: [{type: '<string>', id: '<string>'}],
targetLang: '<string>'
}
],
due: '2023-11-07T05:31:56Z',
id: '<string>'
}
]
})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/connectorTask', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asyncRequest": {
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>"
},
"jobs": [
{
"continuous": true,
"dateCreated": "2023-11-07T05:31:56Z",
"dateDue": "2023-11-07T05:31:56Z",
"filename": "<string>",
"imported": true,
"jobAssignedEmailTemplate": {},
"notificationIntervalInMinutes": 123,
"providers": [
{
"type": "<string>",
"id": "<string>",
"uid": "<string>"
}
],
"sourceFileUid": "<string>",
"targetLang": "<string>",
"uid": "<string>",
"updateSourceDate": "2023-11-07T05:31:56Z",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
],
"unsupportedFiles": [
"<string>"
],
"warnings": [
{
"domain": "STYLEGUIDE",
"jobPartIds": [
"<string>"
],
"message": "<string>"
}
]
}Create job from connector asynchronous download task
Creates the job in project specified by path param projectUid. Source file is defined by downloadTaskId parameter. That is value of finished download async task Connector - Download file (async).
Please supply job metadata in body.
Accepted metadata:
targetLangs- requireddue- ISO 8601workflowSettings- project with workflow - see examples bellowassignments- project without workflows - see examples bellowimportSettings- re-usable import settings - see Create import settingsuseProjectFileImportSettings- mutually exclusive with importSettingscallbackUrl- consumer callbackpath- original destination directorypreTranslate- set pre translate job after importsemanticMarkup- set semantic markup processing after import when enabled for organizationxmlAssistantProfile- apply XML import settings defined using XML assistant
Create job simple (without workflow steps, without assignments):
{
"targetLangs": [
"cs_cz",
"es_es"
]
}
Create and assign job in project without workflow step:
{
"targetLangs": [
"cs_cz"
],
"callbackUrl": "https://my-shiny-service.com/consumeCallback",
"importSettings": {
"uid": "abcd123"
},
"due": "2007-12-03T10:15:30.00Z",
"path": "destination directory",
"assignments": [
{
"targetLang": "cs_cz",
"providers": [
{
"id": "4321",
"type": "USER"
}
]
}
],
"notifyProvider": {
"organizationEmailTemplate": {
"id": "39"
},
"notificationIntervalInMinutes": "10"
}
}
Create and assign job in project with workflow step:
{
"targetLangs": [
"de"
],
"useProjectFileImportSettings": "true",
"workflowSettings": [
{
"id": "64",
"due": "2007-12-03T10:15:30.00Z",
"assignments": [
{
"targetLang": "de",
"providers": [
{
"id": "3",
"type": "VENDOR"
}
]
}
],
"notifyProvider": {
"organizationEmailTemplate": {
"id": "39"
},
"notificationIntervalInMinutes": "10"
}
}
]
}
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project UID
Query Parameters
ID of the finished connector download async task providing the source file
When true, the job is created as continuous
Body
Job creation metadata
only use for projects without workflows; otherwise specify in the workflowSettings object
Show child attributes
Show child attributes
only use for projects without workflows; otherwise specify in the workflowSettings object. Use ISO 8601 date format.
Reference to an object by its unique identifier
Show child attributes
Show child attributes
Reference to an object by its unique identifier
Show child attributes
Show child attributes
Show child attributes
Show child attributes
255Show child attributes
Show child attributes
Default: false
Show child attributes
Show child attributes
Reference to an object by its unique identifier
Show child attributes
Show child attributes
Response
Created
Was this page helpful?